Working Emacs compilation for OR 5.0.6 after security updates? - SCO

This is a discussion on Working Emacs compilation for OR 5.0.6 after security updates? - SCO ; I've got a a freshly installed OSR 5.0.6 system, and an old one, for which the Skunkware emacs and xemacs stopped working after the rs506a, oss646c, gwxlibs-2.1.0Ba, and other patches. I can live with my manually compiled xemacs, but I'd ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: Working Emacs compilation for OR 5.0.6 after security updates?

  1. Working Emacs compilation for OR 5.0.6 after security updates?

    I've got a a freshly installed OSR 5.0.6 system, and an old one, for
    which the Skunkware emacs and xemacs stopped working after the rs506a,
    oss646c, gwxlibs-2.1.0Ba, and other patches.

    I can live with my manually compiled xemacs, but I'd prefer emacs (due
    to familiarity: I prefer its handling of RCS files and C indenting).
    But getting a workable one, with SCO terminal settings, cleanly
    compiled seems rather difficult. Has anyone got a good working emacs
    for OSR 5.0.6 with all the updates?

    Compiling the latest raw tarball, using the 'gnutools' package from
    OSR 5.0.7, chokes on compiling 'maillock'.

  2. Re: Working Emacs compilation for OR 5.0.6 after security updates?

    Nico Kadel-Garcia wrote:
    >
    > Compiling the latest raw tarball, using the 'gnutools' package from
    > OSR 5.0.7, chokes on compiling 'maillock'.


    It has to be unpleasant to be in the cold, alone, without any supportive
    community, with a dead-ended system, hasn't it?

  3. Re: Working Emacs compilation for OR 5.0.6 after security updates?

    Nico Kadel-Garcia wrote:
    > I've got a a freshly installed OSR 5.0.6 system, and an old one, for
    > which the Skunkware emacs and xemacs stopped working after the rs506a,
    > oss646c, gwxlibs-2.1.0Ba, and other patches.
    >
    > I can live with my manually compiled xemacs, but I'd prefer emacs (due
    > to familiarity: I prefer its handling of RCS files and C indenting).
    > But getting a workable one, with SCO terminal settings, cleanly
    > compiled seems rather difficult. Has anyone got a good working emacs
    > for OSR 5.0.6 with all the updates?
    >
    > Compiling the latest raw tarball, using the 'gnutools' package from
    > OSR 5.0.7, chokes on compiling 'maillock'.


    OK, I got the emacs-21.3 up and running, by making sure that /usr/gnu/bin is
    in my path before /bin (in order to get a working version of tar!), and using:

    ./configure --without-gcc

    So it works, but Ctrl-G does not work over my Putty sessions to it. I'm not
    sure if it's a keyboard and xterm setting issue, or it's a general flaw in
    that compilation of Emacs, or what.

    For various reasons, I'd also like to compile it statically instead of with
    shared libraries, to ease porting it over to another box without the same
    graphical libraries available. Has anyone gone through this?

  4. Re: Working Emacs compilation for OR 5.0.6 after security updates?

    Pepe wrote:
    > Nico Kadel-Garcia wrote:
    >>
    >> Compiling the latest raw tarball, using the 'gnutools' package from
    >> OSR 5.0.7, chokes on compiling 'maillock'.

    >
    > It has to be unpleasant to be in the cold, alone, without any supportive
    > community, with a dead-ended system, hasn't it?


    Well, it's awkward to deal with an extremely legacy system with the company in
    bankruptcy from filing fraudulent lawsuits against open source developers. It
    has a chilling effect on development and on interest from open source
    developers. If Richard Stallman knew I was doing this, he'd probably rant at
    me. (I've known Richard casually for over 25 years.)

    But this newsgroup has been quite good: it's why I ask questions here, and
    give answers when I can. It's also good to post answers in well-worded, Google
    searchable format.

  5. Re: Working Emacs compilation for OR 5.0.6 after security updates?

    On 4 Apr, 23:28, Pepe wrote:
    > Nico Kadel-Garcia wrote:
    >
    > > Compiling the latest raw tarball, using the 'gnutools' package from
    > > OSR 5.0.7, chokes on compiling 'maillock'.

    >
    > It has to be unpleasant to be in the cold, alone, without any supportive
    > community, with a dead-ended system, hasn't it?


    Pepe,

    Nico could always upgrade from his old (> 8 years) unsupported
    OpenServer 5.0.6
    to OpenServer 6.0.0 and then he might no longer feel cold and alone.

    John

  6. Re: Working Emacs compilation for OR 5.0.6 after security updates?

    jboland@sco.com wrote:
    > On 4 Apr, 23:28, Pepe wrote:
    >> Nico Kadel-Garcia wrote:
    >>
    >>> Compiling the latest raw tarball, using the 'gnutools' package from
    >>> OSR 5.0.7, chokes on compiling 'maillock'.

    >> It has to be unpleasant to be in the cold, alone, without any supportive
    >> community, with a dead-ended system, hasn't it?

    >
    > Pepe,
    >
    > Nico could always upgrade from his old (> 8 years) unsupported
    > OpenServer 5.0.6
    > to OpenServer 6.0.0 and then he might no longer feel cold and alone.
    >
    > John


    No. I really, really can't. I'm in the midst of a contract migrating software
    to RHEL 5, for lots of reasons but particularly including SCO's bankruptcy.
    And previous attempts to get OpenServer 6 running on the available hardware
    were apparently utter failures due to network driver issues.

+ Reply to Thread